<?php

/**
 * Datalumo
 *
 * @wordpress-plugin
 * Plugin name:       Datalumo
 * Description:       Integrate your WordPress site with the Datalumo platform. Sync content, embed chatbots and search boxes.
 * Version:           0.5.2
 * Requires at least: 6.0
 * Requires PHP:      8.1
 * Author:            Jeffrey van Rossum
 * Author URI:        https://vanrossum.dev
 * Text Domain:       datalumo
 * Domain Path:       /languages
 * License:           MIT
 * License URI:       https://opensource.org/licenses/MIT
 */

use Datalumo\Datalumo;

if (! defined('ABSPATH')) {
    exit;
}

define('DATALUMO_VERSION', '0.5.2');
define('DATALUMO_FILE', __FILE__);
define('DATALUMO_DIR', __DIR__);

if (! class_exists(Datalumo::class)) {
    if (is_file(__DIR__ . '/vendor/autoload_packages.php')) {
        require_once __DIR__ . '/vendor/autoload_packages.php';
    }
}

require_once __DIR__ . '/vendor/woocommerce/action-scheduler/action-scheduler.php';

function datalumo(): Datalumo
{
    return Datalumo::instance();
}

datalumo();
